PackedVector< accessorFunc, setterFunc, elementCount2BytesFunc > Class Template Reference
Inheritance diagram for PackedVector< accessorFunc, setterFunc, elementCount2BytesFunc >:
[legend]
Collaboration diagram for PackedVector< accessorFunc, setterFunc, elementCount2BytesFunc >:
[legend]

## Public Member Functions

uint32_t | operator[] (uint32_t i)
void | set (uint32_t i, uint32_t v)
size_t | getElementCount () const
double | getUtilization ()
void | reserve (uint32_t reserveElements)
size_t | size ()
void | resize (uint32_t newSize)
void | push_back (uint32_t value)

## Protected Attributes

std::vector< uint8_t > | m_data
size_t | m_elementCount
double | m_growthRateMultiplier
double | m_growthRateAdder

## Detailed Description

### template<uint32_t accessorFunc, void setterFunc, size_t elementCount2BytesFunc>
class PackedVector< accessorFunc, setterFunc, elementCount2BytesFunc >

Definition at line 41 of file PackedVector.h.

The documentation for this class was generated from the following file:

- general/PackedVector.h